import Build_gradle.Version.sparkVersion
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

object Version{
    const val sparkVersion = "2.4.4"
}

plugins {
    kotlin("jvm") version "1.3.50"
    id("com.github.johnrengelman.shadow") version "5.1.0"
}

group = "eu.wojciechzurek"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation("org.apache.spark:spark-core_2.12:$sparkVersion")
    implementation("org.apache.spark:spark-sql_2.12:$sparkVersion")
    implementation("org.apache.spark:spark-mllib_2.12:$sparkVersion")
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}

tasks.withType<Jar> {
    manifest {
        attributes(

        )
    }
}

tasks.shadowJar {
    isZip64 = true
}